!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center
! Land Information System Framework (LISF)
! Version 7.3
!
! Copyright (c) 2020 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
!BOP
!
! !ROUTINE: readcrd_metForcGenerated
! \label{readcrd_metForcGenerated}
!
! !REVISION HISTORY:
! 08 Jan 2015; KR Arsenault, Initial Code developed
!
! !INTERFACE:    
subroutine readcrd_metForcGenerated()
! !USES:
  use ESMF
  use LIS_coreMod, only : LIS_rc, LIS_config
  use LIS_logMod,  only : LIS_logunit, LIS_verify, LIS_endrun
  use metForcGenerated_forcingMod, only : metForcGen_struc
!
! !DESCRIPTION:
!
!  This routine reads the options specific to the 
!  meteorological forcing data generated by LDT and written
!  to Netcdf format.
!  
!EOP
  implicit none

  integer :: n, rc

  call ESMF_ConfigFindLabel(LIS_config,"Generated metforcing directory:",rc=rc)
  call ESMF_ConfigGetAttribute(LIS_config,metForcGen_struc%directory,rc=rc)

  write(LIS_logunit,*) "[INFO] "
  write(LIS_logunit,*) "[INFO] Using LDT-generated met forcing data"
  write(LIS_logunit,*) "[INFO] Generated metforcing directory: ",&
                       trim(metForcGen_struc%directory)

  metForcGen_struc%metforc_time1 = 0.
  metForcGen_struc%metforc_time2 = 0.

end subroutine readcrd_metForcGenerated
